package com.schisandra.oss.application.convert;


import com.schisandra.oss.application.dto.SchisandraOssMinioDTO;
import com.schisandra.oss.domain.bo.SchisandraOssMinioBO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * dto转换器
 *
 * @author landaiqing
 * @since 2024-05-14 19:47:04
 */
@Mapper
public interface SchisandraOssMinioDTOConverter {

    SchisandraOssMinioDTOConverter INSTANCE = Mappers.getMapper(SchisandraOssMinioDTOConverter.class);

    SchisandraOssMinioBO convertDTOToBO(SchisandraOssMinioDTO schisandraOssMinioDTO);

    SchisandraOssMinioDTO convertBOToDTO(SchisandraOssMinioBO schisandraOssMinioBO);

    List<SchisandraOssMinioDTO> convertBOToDTOList(List<SchisandraOssMinioBO> schisandraOssMinioBOList);
}
